Dahdi installation for Red Hat Enterprise Linux release 8.8 (Ootpa)

I am using Red Hat Enterprise Linux release 8.8 (Ootpa) for dahdi-linux-complete-3.2.0+3.2.0 installation.

but I’m unable to install dahdi and the kernel version is “4.18.0-477.10.1.el8_8.x86_64”

make[4]: *** [scripts/Makefile.build:318: /usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp/base.o] Error 1
make[3]: *** [scripts/Makefile.build:558: /usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp] Error 2
make[2]: *** [Makefile:1616: module/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi] Error 2
make[2]: Leaving directory ‘/usr/src/kernels/4.18.0-477.10.1.el8_8.x86_64’
make[1]: *** [Makefile:74: modules] Error 2
make[1]: Leaving directory ‘/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux’

Is there any specific version dahdi for Redhat 8

First make sure Selinux is disabled
:slight_smile: sed -i ‘s/SELINUX=enforcing/SELINUX=disabled/g’ /etc/selinux/config
Secondly install:
Install your kernel devel package
dnf install -y kernel* -y
or
yum -y install kernel-devel-$(uname -r)

Thanks but still im facing the same issue

/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp/base.c:661:2: note: each undeclared identifier is reported only once for each function it appears in
At top level:
/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp/base.c:552:1: warning: ‘wctc4xxp_poll’ defined but not used [-Wunused-function]
wctc4xxp_poll(struct napi_struct *napi, int budget)
^~~~~~~~~~~~~
make[4]: *** [scripts/Makefile.build:318: /usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp/base.o] Error 1
make[3]: *** [scripts/Makefile.build:558: /usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi/wctc4xxp] Error 2
make[2]: *** [Makefile:1616: module/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux/drivers/dahdi] Error 2
make[2]: Leaving directory ‘/usr/src/kernels/4.18.0-477.10.1.el8_8.x86_64’
make[1]: *** [Makefile:74: modules] Error 2
make[1]: Leaving directory ‘/usr/src/dahdi-linux-complete-3.2.0+3.2.0/linux’
make: *** [Makefile:9: all] Error 2

Have you installed jannson 2.13? if you’d like I can guide you with this issue using anydesk

Skype: frankmac1973

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.